Skip to content
GET /unified/user-directory/licenses/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

organizations
1 supported1 required
Cisco Meraki
required
include_assigned_tostring

The type of object to whom the license is assigned to

Possible values:
user
1 supported
Webex
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier for the license.

3 supported
Cisco Meraki
supported
Salesforce
supported
Webex
supported
assigned_quantitynumber

Number of licenses that have been assigned to users.

2 supported
Salesforce
supported
Webex
supported
available_quantitynumber

Total number of licenses that can be assigned to users.

2 supported
Cisco Meraki
supported
Salesforce
supported
created_atstring · date-time

Date and time when the license was created.

2 supported
Cisco Meraki
supported
Salesforce
supported
currencystring

Currency for the license.

descriptionstring

Description for the license.

is_paidboolean

Whether the license is paid or not.

1 supported
Salesforce
supported
namestring

Name of the license.

2 supported
Salesforce
supported
Webex
supported
productsobject[]

The products that are part of the license.

idstring

Unique identifier for the product

namestring

The name of product

statusstring

Status for the product within the license. Usually denotes the provisioning status.

Possible values:
activeinactiveerroredneeds_inputneeds_confirmationpending
remote_dataRecord<string, any>

Raw data returned from the remote API call.

rolesobject[]

Valid Roles for the license.

idstring

Unique identifier for the role.

namestring

Name of the role.

statusstring

Status for the license

Possible values:
activeinactive
2 supported
Cisco Meraki
supported
Salesforce
supported
unit_amountnumber

Unit amount for the license.

updated_atstring · date-time

Date and time when the license was last updated.

1 supported
Salesforce
supported
curl -X GET 'https://api.truto.one/unified/user-directory/licenses/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/user-directory/licenses/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/user-directory/licenses/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'user-directory',
  'licenses',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "user-directory",
        "licenses",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())